/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_LOCALEMISSAO                                             */
/* Tabela : LOCALEMISSAO                                                      */
/*                                                                            */
/* Criao:                                                                   */
/* 03/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_LOCALEMISSAO'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_LOCALEMISSAO
GO

CREATE TRIGGER DTULTATU_LOCALEMISSAO
ON LOCALEMISSAO
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'LOCALEMISSAO', null, 'CDLOCALEMIS=' + CDLOCALEMIS + ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE LOCALEMISSAO
      SET DTULTATULOEM = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(LOCALEMISSAO.CDLOCALEMIS,0)  = ISNULL(INSERTED.CDLOCALEMIS,0)) AND
            (ISNULL(LOCALEMISSAO.DSLOCALEMIS,0)  = ISNULL(INSERTED.DSLOCALEMIS,0)) AND
            (ISNULL(LOCALEMISSAO.CDRELMODNFLO,0) = ISNULL(INSERTED.CDRELMODNFLO,0)) AND
            (ISNULL(LOCALEMISSAO.DTULTEMISLCE,CONVERT(DATETIME,'31/12/1899')) =
                 ISNULL(INSERTED.DTULTEMISLCE,CONVERT(DATETIME,'31/12/1899')));
   END;
END;
GO

